Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 173255 - app-office/rabbit-0.5.1.ebuild (update)
Summary: app-office/rabbit-0.5.1.ebuild (update)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Ruby Team
URL: http://www.cozmixng.org/~rwiki/?cmd=v...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-03 16:07 UTC by Atzm Watanabe
Modified: 2007-07-23 16:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
diff between rabbit-0.5.0 and 0.5.1 (rabbit-0.5.1.diff,753 bytes, patch)
2007-04-03 16:07 UTC, Atzm Watanabe
Details | Diff
diff between rabbit-0.5.0 and 0.5.1 (rabbit-0.5.1.diff,737 bytes, patch)
2007-04-04 16:25 UTC, Atzm Watanabe
Details | Diff
files/rabbit-0.5.1-gettext.patch (rabbit-0.5.1-gettext.patch,1.06 KB, patch)
2007-04-04 16:26 UTC, Atzm Watanabe
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Atzm Watanabe 2007-04-03 16:07:01 UTC
Hi,

Rabbit has version bumped to 0.5.1.
here attach a diff between rabbit-0.5.0.ebuild and 0.5.1.
Comment 1 Atzm Watanabe 2007-04-03 16:07:59 UTC
Created attachment 115374 [details, diff]
diff between rabbit-0.5.0 and 0.5.1
Comment 2 Atzm Watanabe 2007-04-04 16:25:59 UTC
Created attachment 115457 [details, diff]
diff between rabbit-0.5.0 and 0.5.1

The dependency to <=ruby-gettext-0.8.0 can be made loose by applying the patch. 
ruby-gettext-1.8.0 and 1.9.0 are OK.
Comment 3 Atzm Watanabe 2007-04-04 16:26:49 UTC
Created attachment 115459 [details, diff]
files/rabbit-0.5.1-gettext.patch
Comment 4 Hans de Graaff gentoo-dev 2007-07-21 19:30:10 UTC
Hi Atzm,

When looking at this bug I noticed that rabbit 0.5.2 is out, according to the site. Could you have a look at this and perhaps propose any changes for an ebuild for this version? If that's not possible then just let me know and I'll update the current 0.5.1 version based on your patches.
Comment 5 Atzm Watanabe 2007-07-23 12:42:58 UTC
Hi,

Rabbit 0.5.2 is bug fix release.
So in this version, 0.5.1's src_unpack is unnecessary.

To create 0.5.2 ebuild, rename 0.5.0 ebuild to 0.5.2 and
append ">=dev-ruby/ruby-gdkpixbuf2-0.15.0" to RDEPEND.
Comment 6 Hans de Graaff gentoo-dev 2007-07-23 16:32:07 UTC
Thanks for the feedback, I've added rabbit-0.5.2 to CVS.